Bug 8782 - menu-method генерирует неверные пункты в меню для консольных приложений
: menu-method генерирует неверные пункты в меню для консольных приложений
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fluxbox)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-02 18:40 by
Modified: 2006-04-08 13:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-02 18:40:17
Столкнулся с проблемой при упаковке консольного приложения (который
needs=text).
Оно не запускается из меню, так как menu-method для Fluxbox не корректно
софрмировал пункт меню для этой програмы:

[c0der@mycomp ~]$ grep netris .fluxbox/menu
         [exec] (Netris) {xvt  -e /usr/games/netris -T "Netris"}

Програма думает, что -T "Netris" это её аргументы и т.к. не знает о них, то и
запускаться отказывается. Вот кусок из menu-method Флакса:

 nstring(level(), "   ") "[exec] (" esc(title(), ")") ") {" term() " -T \""
title() "\"}" findIcon($icon) "\n";

И теперь смотрим описание term():

function term()=\
    "xvt " \
        ifnempty($geometry,"-geometry ") $geometry \
    " -e " $command

В итоге получается, что я любо должен вообще убрать из менб метода возможность
задавать терминалу заголовок, либо это должно поддерживаться функцией term().
Иначе ни как нельзя, потому что:

       -e program [ arguments ... ]
               This  option  specifies the program (and its command line argu-
               ments) to be run in the xterm window.  It also sets the  window
               title  and  icon  name  to be the basename of the program being
               executed if neither -T nor -n are given on  the  command  line.
               This must be the last option on the command line.

Последняя строка в мане xterm выделена полужирным шрифтом даже.
------- Comment #1 From 2006-01-10 14:39:47 -------
(In reply to comment #0) 
> В итоге получается, что я любо должен вообще 
> убрать из менб метода возможность задавать терминалу заголовок 
да 
------- Comment #2 From 2006-01-11 10:17:56 -------
(In reply to comment #1)
> > убрать из менб метода возможность задавать терминалу заголовок 
> да 

Ok, тогда так и поступлю в новой сборке...

------- Comment #3 From 2006-04-08 13:16:58 -------
REOPEN'ed
------- Comment #4 From 2006-04-08 13:19:02 -------
- Reassign to me
- Chnage Component
- Change Summary
------- Comment #5 From 2006-04-08 13:21:14 -------
- decrease Severity to major
- marked as FIXED

Fixed in fluxbox >= 0.9.15
------- Comment #6 From 2006-04-08 13:22:19 -------
[c0der@rock ~]$ grep netris .fluxbox/menu
         [exec] (Netris) {xvt  -e /usr/games/netris}

VERIFIED on fluxbox 0.9.15.1-alt1
------- Comment #7 From 2006-04-08 13:22:55 -------
Successfully CLOSED